Get Posts
http
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts/listAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | ve9EPM428h8vShlRW1KT | Account Id |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
type | string | No | Filter type | type must be one of the following values: recent, all, scheduled, draft, failed, in_review, published, in_progress and deleted |
accounts | string | No | 660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998 | List of account Ids separated by comma as a string |
skip | string | Yes | 1 | |
limit | string | Yes | 10 | |
fromDate | string | Yes | 2024-01-22T05:32:49.463Z | From Date |
toDate | string | Yes | 2024-03-20T05:32:49.463Z | To Date |
includeUsers | string | Yes | true | Include User Data |
postType | object | No | post | Post Type must be one of the following values: - post, story, reel |
Responses
201 - Successful response
success(boolean, required): Success or Failure Example:TruestatusCode(number, required): Status Code Example:201message(string, required): Message Example:Fetched Postsresults(object): Requested Results
json
{
"success": true,
"statusCode": 201,
"message": "Fetched Posts"
}400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"type": "Filter type",
"accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998",
"skip": "1",
"limit": "10",
"fromDate": "2024-01-22T05:32:49.463Z",
"toDate": "2024-03-20T05:32:49.463Z",
"includeUsers": "true",
"postType": "post"
}'const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"type": "Filter type", "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998", "skip": "1", "limit": "10", "fromDate": "2024-01-22T05:32:49.463Z", "toDate": "2024-03-20T05:32:49.463Z", "includeUsers": "true", "postType": "post"}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"type": "Filter type", "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998", "skip": "1", "limit": "10", "fromDate": "2024-01-22T05:32:49.463Z", "toDate": "2024-03-20T05:32:49.463Z", "includeUsers": "true", "postType": "post"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'type': 'Filter type', 'accounts': '660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998', 'skip': '1', 'limit': '10', 'fromDate': '2024-01-22T05:32:49.463Z', 'toDate': '2024-03-20T05:32:49.463Z', 'includeUsers': 'true', 'postType': 'post'}),
]);
$data = json_decode(curl_exec($ch), true);